<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Document</title>
    </head>
    <body>
        <h1 class="text-center">Hello !</h1>

        <script src="/socket.io/socket.io.js"></script>
        <script type="text/javascript">
            let socket = io();

            socket.on("connect", () => {
                console.log("Connected to server");

                socket.emit("createMessage", {
                    from: "Prashant",
                    text: "How are you?",
                });
            });

            socket.on("disconnect", () => {
                console.log("Disconnected from server");
            });

            socket.on("newMessage", (message) => {
                console.log("newMessage", message);
            });
        </script>
    </body>
</html>
